/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormArray, FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare class AswColumnDialog implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<AswColumnDialog>;
    control: any;
    constants: any;
    icons: any;
    aswColumnForm: FormGroup;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<AswColumnDialog>, control: any);
    ngOnInit(): void;
    validateFormBuilder(): void;
    get columns(): FormArray;
    createCoulmn(): FormGroup;
    editProperty(control: any): void;
    addNewColumn(): void;
    onNoClick(): void;
    removeColumn(index: number): void;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswColumnDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswColumnDialog, "asw-column-dialog", never, {}, {}, never, never, false, never>;
}
